Jump to content

[Solved] VAICOM> no longer works with F-18 after DCS 2.8 update


IronStar95
 Share

Recommended Posts

There is nothing you can do about it at the moment. This is discussed in the forum already, no modules are recognized by the Vaicom Pro plug-in anymore after the update. 

 

At the moment you should consider Vaicom Pro as a dead project, it doesn't seem like you should expect any update of the Vaicom Pro. Noone knows what happened to Hollywood who made it, he kind of disappeared in April this year and we only hope he's well. Since April there is no connection with him, no updates come out, no support nor response from him.

So it the 2.8 version broke the way Vaicom Pro works, it's done 😞 At least for now. 

  • Like 1
Link to comment
Share on other sites

At the moment there is an intense communication on the Discord about this issue and someone said there are plenty of third party modules affected by the 2.8 update. He said also that maybe they found a solution for the Vaicom Pro to make it work again.

If this will be true, I´ll post the solution here. But it´s just a dream at the moment.

I find this frustrating, because to me the Vaicom Pro plugin was the main reason why I started to fly the F-14 and found out later, that it adds so much immersion to the game, that I don´t want to leave this behind. I can only hope, that someone will take over this gap on the market after the Vaicom Pro was abandoned due to any reason. Maybe this could be a good idea for the ED team to start working on something similar, at least they´ve got the codes they need 🙂

 

  • Like 4
Link to comment
Share on other sites

4 minutes ago, Goliathus said:

At the moment there is an intense communication on the Discord about this issue and someone said there are plenty of third party modules affected by the 2.8 update. He said also that maybe they found a solution for the Vaicom Pro to make it work again.

If this will be true, I´ll post the solution here. But it´s just a dream at the moment.

I find this frustrating, because to me the Vaicom Pro plugin was the main reason why I started to fly the F-14 and found out later, that it adds so much immersion to the game, that I don´t want to leave this behind. I can only hope, that someone will take over this gap on the market after the Vaicom Pro was abandoned due to any reason. Maybe this could be a good idea for the ED team to start working on something similar, at least they´ve got the codes they need 🙂

 

Agree that VAICOM Pro is essential, especially for VR users. Came here looking for a solution. My wingman and I can't get it working either and we're not sure what to do at this point. 

 

I can't even get regular comms to work at this point either (even with VAICOM completely closed) 

  • Like 2
Link to comment
Share on other sites

14 minutes ago, Goliathus said:

At the moment there is an intense communication on the Discord about this issue and someone said there are plenty of third party modules affected by the 2.8 update. He said also that maybe they found a solution for the Vaicom Pro to make it work again.

If this will be true, I´ll post the solution here. But it´s just a dream at the moment.

I find this frustrating, because to me the Vaicom Pro plugin was the main reason why I started to fly the F-14 and found out later, that it adds so much immersion to the game, that I don´t want to leave this behind. I can only hope, that someone will take over this gap on the market after the Vaicom Pro was abandoned due to any reason. Maybe this could be a good idea for the ED team to start working on something similar, at least they´ve got the codes they need 🙂

 

Especially for VR, the kneeboard and voice commands are indispensable!

  • Like 2
Link to comment
Share on other sites

4 hours ago, Vortex225 said:

Agree that VAICOM Pro is essential, especially for VR users. Came here looking for a solution. My wingman and I can't get it working either and we're not sure what to do at this point. 

 

I can't even get regular comms to work at this point either (even with VAICOM completely closed) 

Actually, it is not that hard to make the regular comms work again. I did this yesterday. I'm not sure which steps were necessary, but I did this:

  1. closed DCS World
  2. Opened the Vaicom Pro settings
  3. reset its preferences (only preferences) in the settings menu
  4. quit the Vaicom Pro
  5. I did (both) the cleanup and quick repair of DCS as in this link https://www.digitalcombatsimulator.com/en/support/faq/repair/
  6. restart PC
  7. that's it 👍

Just to make it clear, I didn't open the Voice attack after running the cleanup and DCS repair to be sure nothing gets reverted back. 

Does this solve the problem for you too? 

  • Like 1
Link to comment
Share on other sites

Hi

🔴 At the moment the plugin VAICOM does not work. 🔴

If you have enabled in VA configuration, it disables the comm menu in DCS.

To solve you must disable plugin support in VA configuration then make a repair in DCS.

Thus works only VA without plugin support.

So we wait for a VAICOM update. 🙏

A-10C | A-10C II | F/A-18C | F16C | AV-8B | FW-190 A-8 | MB339 | A-4E | CA

 

[sIGPIC][/sIGPIC]

 

https://simitaliagames.com/dcs/

Link to comment
Share on other sites

Just want to add that at least for me, the Hornet is the only plane affected by no radio comms menu.  EVen with VAICOM Pro not working anymore, I atill can bring up the comms menu in the Tomcat, Falcon, etc, curious as that may be...

 

v6,

boNes

  • Like 1

"Also, I would prefer a back seater over the extra gas any day. I would have 80 pounds of flesh to eat and a pair of glasses to start a fire." --F/A-18 Hornet pilot

Link to comment
Share on other sites

14 hours ago, Goliathus said:

At the moment there is an intense communication on the Discord about this issue and someone said there are plenty of third party modules affected by the 2.8 update. He said also that maybe they found a solution for the Vaicom Pro to make it work again.

If this will be true, I´ll post the solution here. But it´s just a dream at the moment.

I find this frustrating, because to me the Vaicom Pro plugin was the main reason why I started to fly the F-14 and found out later, that it adds so much immersion to the game, that I don´t want to leave this behind. I can only hope, that someone will take over this gap on the market after the Vaicom Pro was abandoned due to any reason. Maybe this could be a good idea for the ED team to start working on something similar, at least they´ve got the codes they need 🙂

 

The fact that there is plenty of third parties affected confirms what I was thinking: it's not an issue with VAICOM. The major part of the source code (VAICOM is written in C# .NetFramework 4.7.2) should hardly be offended by changes in DCS so far. There should be something wrong with changes in the network protocol  by ED. They simply don't communicate any more at all.

I think it should be up to ED developers to fix the issue by being backward compatible with the previous interface.

I'm not pleased by 2.8 and have reverted back to 2.7.

Frankly rainbows and moving clouds add less immersion than VAICOM does!

  • Like 5
Link to comment
Share on other sites

6 hours ago, TBarina said:

I think it should be up to ED developers to fix the issue by being backward compatible with the previous interface.

I respectfully disagree. It's not ED's job to to keep unofficial Add-ons that have seemed to stop development functional. This one is definitley not on ED, but on the Vaicom dev.
It would however be great if ED  could reach out to Hollywood if they have other means of reaching him to clarify what is going on with Vaicom.

Just out of personal curiosity. What has the programming language to do with it stopping to work? When they way two programms communicate changes, It doesn't matter what language either of it is written in. Yes the internal functions are not offended. But also completley irrelevant. To keep the interface up to date is the job of Vaicom. Anything else would mean keeping ancient code around. Something ED is often heavily critiqued for in other places.

  • Like 1
Link to comment
Share on other sites

Finally, I completely uninstalled VAICOM PRO to use only VOICE ATTACK with Bailey's profile translated into French and augmented with my own commands. In fact, it is much more flexible and reliable for the future!

When I have everything translated I can share the VA profile for F18/A on the forum.


Edited by IronStar95
Link to comment
Share on other sites

2 hours ago, IronStar95 said:

Finally, I completely uninstalled VAICOM PRO to use only VOICE ATTACK with Bailey's profile translated into French and augmented with my own commands. In fact, it is much more flexible and reliable for the future!

When I have everything translated I can share the VA profile for F18/A on the forum.

 

Did you find a way to do the commands that aren't available for binding? Thinks such as "Refueling" (without bringing up the rearming menu), "Request Taxi Clearance", "Approaching for Refueling", "See you at 10", etc? Or have you just bound the commands available in DCS? (Because for me - the huge one with VAICOM was the ability to say things and execute menu commands that are not available in the binding options, so if you've found a way around this I would be very interested.)


Edited by Dangerzone
  • Like 1
Link to comment
Share on other sites

13 hours ago, TBarina said:

Frankly rainbows and moving clouds add less immersion than VAICOM does!

So true! But I was waiting for the MB-339...

6 hours ago, Cathnan said:
13 hours ago, TBarina said:

I think it should be up to ED developers to fix the issue by being backward compatible with the previous interface.

I respectfully disagree. It's not ED's job to to keep unofficial Add-ons that have seemed to stop development functional.

Well, I respectfully disagree with you. When ED changes something that blocks things from working, and they are not open and transparent about it, it gives a sour taste. I can't see any benefit from blocking stuff from local host, but that might be just me. 

  • Like 1
Link to comment
Share on other sites

6 hours ago, Cathnan said:

It would however be great if ED  could reach out to Hollywood if they have other means of reaching him to clarify what is going on with Vaicom.

Just out of personal curiosity. What has the programming language to do with it stopping to work? When they way two programms communicate changes, It doesn't matter what language either of it is written in. Yes the internal functions are not offended. But also completley irrelevant. To keep the interface up to date is the job of Vaicom.

That's what I'm saying. ED should not disregard the efforts of the community and should have got in touch with good developers like Hollywood time ago.

If they decide to change the protocols they should provide adequate information.

What if TacView or other add-ons cease to work in the future. DCS is not a game. Is complex simulator that must be able to communicate with many add-ons, peripherals, cockpit panels, etc.

As someone wrote here they don't provide any help or API to facilitate the community.

BTW: The code has nothing to do but if you could examine the code (C# is a high level programming language that can be easily read) you could probably discover that 99% of the code only deals with it's own internal functionalities (i.e.: managing configuration and radios tuning) and only 1% relates to communication with DCS.

I bet that with minimal support VAICOM could easily work again and serve the comminity until proper ATC is provided by ED.

 

Link to comment
Share on other sites

  • ED Team

Hi all, 

if Hollywood wants to reach out to me or @NineLinewe will be happy to talk about what issues he is having with the latest update. 

Please note as DCS progresses we can not always keep community projects in mind as they are not official, they do have to adapt to any changes we make. 

thank you

  • Like 2

smallCATPILOT.PNG.04bbece1b27ff1b2c193b174ec410fc0.PNG

Forum rules - DCS Crashing? Try this first - Cleanup and Repair - Discord BIGNEWY#8703 - Youtube - Patch Status

Windows 11, NVIDIA MSI RTX 3090, Intel® i9-10900K 3.70GHz, 5.30GHz Turbo, Corsair Hydro Series H150i Pro, 64GB DDR @3200, ASUS ROG Strix Z490-F Gaming, HP Reverb G2

Link to comment
Share on other sites

23 minutes ago, BIGNEWY said:

Hi all, 

if Hollywood wants to reach out to me or @NineLinewe will be happy to talk about what issues he is having with the latest update. 

Please note as DCS progresses we can not always keep community projects in mind as they are not official, they do have to adapt to any changes we make. 

thank you

Many thanks for your answer. Seems like Hoolywood is MIA. Let's hope he is ok.

I've just sent an e-mail to support@vaicompro.com to forward your message.

Let's hope he can answer.

 

  • Like 2
Link to comment
Share on other sites

Hi all, 
if Hollywood wants to reach out to me or @NineLinewe will be happy to talk about what issues he is having with the latest update. 
Please note as DCS progresses we can not always keep community projects in mind as they are not official, they do have to adapt to any changes we make. 
thank you
But could you at least be open and transparent about what changes you did that affects this and why?
Humble sincere constructive question!

Sent from my MAR-LX1A using Tapatalk

  • Like 2
Link to comment
Share on other sites

GUYS!!!!!!!
Try and reselect the custom path in the control panel, and report back ASAP!!!!!!!
This used to be mandatory a few years back after every update, so it totally slipped my mind!
A buddy on Discord reminded me of this.
No promises though, but he says he updated and did this change yesterday, and it's working in the Ka-50.

Sent from my MAR-LX1A using Tapatalk

  • Like 1
Link to comment
Share on other sites

2 minutes ago, MAXsenna said:

But could you at least be open and transparent about what changes you did that affects this and why?
Humble sincere constructive question!

Sent from my MAR-LX1A using Tapatalk
 

Probably we must be patient. I don't think ED can answer without talking with programmers in charge of VAICOM.

Probably is something concerning the network protocols.

In the stable changelog I can read:

DCS 2.7.18.30765

Home > News > Changelog > Stable changelog > DCS 2.7.18.30765

DCS World

  • Network protocol version changed

 

Probably this has something to do.

 

They need cohoperation to provide valid infos. Let's hope VAICOM support can respond.

Ciao

Link to comment
Share on other sites

Also affected by this, VAICOM will be sorely missed if Hollywood can't continue to update it but I'm gonna investigate this Bailey profile i see mentioned in the mean time. Considering that Hollywood updated post AH64 release I don't think this is abandonware, hope you're well Hollywood.

  • Like 1
Link to comment
Share on other sites

19 minutes ago, MAXsenna said:

GUYS!!!!!!!
Try and reselect the custom path in the control panel, and report back ASAP!!!!!!!
This used to be mandatory a few years back after every update, so it totally slipped my mind!
A buddy on Discord reminded me of this.
No promises though, but he says he updated and did this change yesterday, and it's working in the Ka-50.

Sent from my MAR-LX1A using Tapatalk
 

DCS 2.8 + KA-50 + VAICOM working now? It would be great!

 

I've reverted back to 2.7 and have no room to install 2.8 as well for testing.

Hope someone has the chances to give a try and confirm.

Many thanks for the info.

  • Like 1
Link to comment
Share on other sites

30 minutes ago, MAXsenna said:

GUYS!!!!!!!
Try and reselect the custom path in the control panel, and report back ASAP!!!!!!!
This used to be mandatory a few years back after every update, so it totally slipped my mind!
A buddy on Discord reminded me of this.
No promises though, but he says he updated and did this change yesterday, and it's working in the Ka-50.

Sent from my MAR-LX1A using Tapatalk
 

I did try this yesterday to no avail. It is SOP for me with every update. Did not check with the KA-50, only with the F-14 

  • Like 2
Link to comment
Share on other sites

20 minutes ago, Lt_Jaeger said:

I did try this yesterday to no avail. It is SOP for me with every update. Did not check with the KA-50, only with the F-14 

Thanks.

It doesn't depend on the module though. It's probably a general newwork issue since it doen't initiate the communication.

  • Like 1
Link to comment
Share on other sites

  • IronStar95 changed the title to [Solved] VAICOM> no longer works with F-18 after DCS 2.8 update
 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...